
From: gerg@snapgear.com

Implement a null find_extend_vma() function for non-MMU architectures.  It
is called from a couple of places, so needs to be present.



 25-akpm/mm/nommu.c |    5 +++++
 1 files changed, 5 insertions(+)

diff -puN mm/nommu.c~m68knommu-find_extend_vma mm/nommu.c
--- 25/mm/nommu.c~m68knommu-find_extend_vma	Mon Jan  5 12:37:29 2004
+++ 25-akpm/mm/nommu.c	Mon Jan  5 12:37:29 2004
@@ -551,6 +551,11 @@ struct page * follow_page(struct mm_stru
 	return NULL;
 }
 
+struct vm_area_struct *find_extend_vma(struct mm_struct *mm, unsigned long addr)
+{
+	return NULL;
+}
+
 int remap_page_range(struct vm_area_struct *vma, unsigned long from,
 		unsigned long to, unsigned long size, pgprot_t prot)
 {

_
